boost::geometry::resolve_variant::distance_result< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Strategy > Struct Template Reference

List of all members.

## Public Types

typedef util::combine_if < typename boost::mpl::vector1 < Geometry1 >, typename boost::variant < BOOST_VARIANT_ENUM_PARAMS(T)> ::types, boost::mpl::always < boost::mpl::true_ > >::type | possible_input_types
typedef compress_variant < typename transform_variant < possible_input_types, resolve_strategy::distance_result < boost::mpl::first < boost::mpl::_ > , boost::mpl::second < boost::mpl::_ >, Strategy > , boost::mpl::back_inserter < boost::mpl::vector0 <> > >::type >::type | type

### template<typename Geometry1, BOOST_VARIANT_ENUM_PARAMS(typename T), typename Strategy>
struct boost::geometry::resolve_variant::distance_result< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Strategy >

## Member Typedef Documentation

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) , typename Strategy >

typedef util::combine_if< typename boost::mpl::vector1<Geometry1>, typename boost::variant<BOOST_VARIANT_ENUM_PARAMS(T)>::types, boost::mpl::always<boost::mpl::true_> >::type boost::geometry::resolve_variant::distance_result< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Strategy >::possible_input_types

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) , typename Strategy >

typedef compress_variant< typename transform_variant< possible_input_types, resolve_strategy::distance_result< boost::mpl::first<boost::mpl::_>, boost::mpl::second<boost::mpl::_>, Strategy >, boost::mpl::back_inserter<boost::mpl::vector0<> > >::type >::type boost::geometry::resolve_variant::distance_result< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Strategy >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK